summaryrefslogtreecommitdiffstats
path: root/debian/samba.nmbd.init
diff options
context:
space:
mode:
Diffstat (limited to 'debian/samba.nmbd.init')
-rw-r--r--debian/samba.nmbd.init52
1 files changed, 52 insertions, 0 deletions
diff --git a/debian/samba.nmbd.init b/debian/samba.nmbd.init
new file mode 100644
index 0000000..7ccaa64
--- /dev/null
+++ b/debian/samba.nmbd.init
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+### BEGIN INIT INFO
+# Provides: nmbd
+# Required-Start: $network $local_fs $remote_fs
+# Required-Stop: $network $local_fs $remote_fs
+# X-Start-Before: smbd
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Samba NetBIOS nameserver (nmbd)
+# Description: NetBIOS name server to provide NetBIOS over IP naming services
+# to clients
+### END INIT INFO
+
+NAME=nmbd
+DAEMON=/usr/sbin/$NAME
+PIDFILE=/run/samba/$NAME.pid
+DESC="NetBIOS name server"
+SCRIPT=nmbd
+
+# clear conflicting settings from the environment
+unset TMPDIR
+
+test -x $DAEMON || exit 0
+/usr/share/samba/is-configured $NAME || exit 0
+
+[ -f /etc/default/samba ] && . /etc/default/samba
+
+. /lib/lsb/init-functions
+
+case "$1" in
+ (start)
+ log_daemon_msg "Starting $DESC" $NAME
+ start-stop-daemon --start --quiet --oknodo --exec $DAEMON --pidfile $PIDFILE -- -D $NMBDOPTIONS
+ log_end_msg $?
+ ;;
+ (stop)
+ log_daemon_msg "Stopping $DESC" $NAME
+ start-stop-daemon --stop --quiet --oknodo --exec $DAEMON --pidfile $PIDFILE
+ log_end_msg $?
+ ;;
+ (restart|force-reload)
+ $0 stop && sleep 1 && $0 start
+ ;;
+ (status)
+ status_of_proc -p $PIDFILE $DAEMON $NAME
+ ;;
+ (*)
+ echo "Usage: /etc/init.d/$SCRIPT {start|stop|restart|force-reload|status}"
+ exit 1
+ ;;
+esac